com.amazonaws.services.cloudfront.model

## Class ForwardedValues

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.ForwardedValues

All Implemented Interfaces:
  Serializable, Cloneable

    public class ForwardedValues
    extends Object
    implements Serializable, Cloneable

A complex type that specifies how CloudFront handles query strings and cookies.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ForwardedValues()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ForwardedValues` `clone()`
`boolean` `equals(Object obj)`
`CookiePreference` `getCookies()` A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones.
`Headers` `getHeaders()` A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.
`Boolean` `getQueryString()` Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters.
`QueryStringCacheKeys` `getQueryStringCacheKeys()` A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.
`int` `hashCode()`
`Boolean` `isQueryString()` Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters.
`void` `setCookies(CookiePreference cookies)` A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones.
`void` `setHeaders(Headers headers)` A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.
`void` `setQueryString(Boolean queryString)` Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters.
`void` `setQueryStringCacheKeys(QueryStringCacheKeys queryStringCacheKeys)` A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ForwardedValues` `withCookies(CookiePreference cookies)` A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones.
`ForwardedValues` `withHeaders(Headers headers)` A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.
`ForwardedValues` `withQueryString(Boolean queryString)` Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters.
`ForwardedValues` `withQueryStringCacheKeys(QueryStringCacheKeys queryStringCacheKeys)` A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ForwardedValues

    public ForwardedValues()

### Method Detail

#### setQueryString

    public void setQueryString(Boolean queryString)

Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

Parameters:
  `queryString` - Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

  If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

  If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

  If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

  For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

#### getQueryString

    public Boolean getQueryString()

Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

Returns:
  Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

  If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

  If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

  If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

  For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

#### withQueryString

    public ForwardedValues withQueryString(Boolean queryString)

Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

Parameters:
  `queryString` - Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

  If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

  If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

  If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

  For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isQueryString

    public Boolean isQueryString()

Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

Returns:
  Indicates whether you want CloudFront to forward query strings to the origin that is associated with this cache behavior and cache based on the query string parameters. CloudFront behavior depends on the value of `QueryString` and on the values that you specify for `QueryStringCacheKeys`, if any:

  If you specify true for `QueryString` and you don't specify any values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin and caches based on all query string parameters. Depending on how many query string parameters and values you have, this can adversely affect performance because CloudFront must forward more requests to the origin.

  If you specify true for `QueryString` and you specify one or more values for `QueryStringCacheKeys`, CloudFront forwards all query string parameters to the origin, but it only caches based on the query string parameters that you specify.

  If you specify false for `QueryString`, CloudFront doesn't forward any query string parameters to the origin, and doesn't cache based on query string parameters.

  For more information, see Configuring CloudFront to Cache Based on Query String Parameters in the Amazon CloudFront Developer Guide.

#### setCookies

    public void setCookies(CookiePreference cookies)

A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

Parameters:
  `cookies` - A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

#### getCookies

    public CookiePreference getCookies()

A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

Returns:
  A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

#### withCookies

    public ForwardedValues withCookies(CookiePreference cookies)

A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

Parameters:
  `cookies` - A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHeaders

    public void setHeaders(Headers headers)

A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.

Parameters:
  `headers` - A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.

#### getHeaders

    public Headers getHeaders()

A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.

Returns:
  A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.

#### withHeaders

    public ForwardedValues withHeaders(Headers headers)

A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.

Parameters:
  `headers` - A complex type that specifies the `Headers`, if any, that you want CloudFront to vary upon for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setQueryStringCacheKeys

    public void setQueryStringCacheKeys(QueryStringCacheKeys queryStringCacheKeys)

A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

Parameters:
  `queryStringCacheKeys` - A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

#### getQueryStringCacheKeys

    public QueryStringCacheKeys getQueryStringCacheKeys()

A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

Returns:
  A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

#### withQueryStringCacheKeys

    public ForwardedValues withQueryStringCacheKeys(QueryStringCacheKeys queryStringCacheKeys)

A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.

Parameters:
  `queryStringCacheKeys` - A complex type that contains information about the query string parameters that you want CloudFront to use for caching for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ForwardedValues clone()

Overrides:
  `clone` in class `Object`